=== src/xml/CMakeLists.txt ===
# main file for src


FILE(GLOB _src_xmlparser "*.cpp")

SET(src_xmlparser ${_src_xmlparser} PARENT_SCOPE )
