=== debian/changelog ===
davix (0.2.8-1) unstable; urgency=medium

  * Update to version 0.2.8

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 Dec 2013 04:14:45 +0100

davix (0.2.7-1) unstable; urgency=low

  * Update to version 0.2.7

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Nov 2013 21:54:48 +0100

davix (0.2.2-2) unstable; urgency=low

  * Fix copyright file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 03 Sep 2013 09:32:50 +0200

davix (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #719947)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 10 Aug 2013 03:55:47 +0200
