## davix 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,34 +28,24 @@
 
 set(OUTPUT_NAME_DAVIX "davix")
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 2)
-set(VERSION_PATCH 8)
+set(VERSION_MINOR 3)
+set(VERSION_PATCH 1)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
+set(VERSION_TAG "std")
 
 
-#compilation mode
-SET(HTTP_LIB "NEON") # http backend can be NEON
-SET(UNIT_TESTS FALSE
-    CACHE STRING "enable or disable unit test compilation")
-SET(NEON_EMBEDED TRUE
-    CACHE STRING "enable or disable unit test compilation")
-SET(SSL_BACKEND "OPENSSL"
-    CACHE STRING "set the default SSL backend openssl or gnutls ( default : openssl ) ")
+# dependency mode
+option(BOOST_EXTERNAL "Enable the usage of an external boost dependency" TRUE)
 
-OPTION(ENABLE_IPV6 "enable or disable IPv6 support " TRUE)
-
-OPTION(ENABLE_THIRD_PARTY_COPY "enable or disable third party copy support" FALSE)
+# features
+option(ENABLE_IPV6 "enable or disable IPv6 support " TRUE)
+option(ENABLE_TCP_NODELAY "enable or disable tcp_nodelay" TRUE)
+option(ENABLE_THIRD_PARTY_COPY "enable or disable third party copy support" FALSE)
 
 # tests
 option(UNIT_TESTS "enable or disable the unit tests" FALSE)
-
 option(FUNCTIONAL_TESTS "enable or disable the functional tests" FALSE)
 
-
-option(GTEST_EXTERNAL "Use external gtest framework" FALSE)
-
-set(HAVE_OPENSSL 1)
-set(NE_HAVE_SSL 1)
 
 # libs checks
 find_package(Threads)
@@ -69,6 +59,14 @@
 find_package(LibXml2)
 set(LIBXML2_INCLUDE_DIRS ${LIBXML2_INCLUDE_DIR})
 
+if(BOOST_EXTERNAL)
+find_package(Boost 1.41.0 COMPONENTS system thread)
+endif(BOOST_EXTERNAL)
+
+#const
+set(HAVE_OPENSSL 1)
+set(NE_HAVE_SSL 1)
+
 add_subdirectory(deps)
 
 
@@ -78,15 +76,16 @@
 add_definitions( -D_GNU_SOURCE)              # GNU source, import LFS, etc...
 add_definitions( -D__DAVIX_INSIDE__)         # protection flag
 add_definitions( -D__STDC_LIMIT_MACROS )     # C99 limit macros
-add_definitions( -DDAVIX_VERSION="${VERSION_STRING}" )
-
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX11_FLAG_ENABLE}")
 
 include_directories( ${HTTPLIB_PKG_INCLUDE_DIRS} ${GLIB2_PKG_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/deps ${CMAKE_CURRENT_SOURCE_DIR}/deps/libneon/src/ )
 include_directories( ${CMAKE_SOURCE_DIR}/include/davix )
+include_directories( ${CMAKE_SOURCE_DIR}/src/libs/)
+include_directories( ${Boost_INCLUDE_DIRS})
 
 add_subdirectory (src)
 add_subdirectory (doc)
+add_subdirectory (dist)
 add_subdirectory (test)
 add_subdirectory (packaging)
