=== deps/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,15 @@
 #json parser
 SET(HEADER_RAPIDJSON "${CMAKE_CURRENT_SOURCE_DIR}/rapidjson/include" PARENT_SCOPE)
 
+
+## boost
+if(NOT Boost_FOUND)
+SET(Boost_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/boost_intern" PARENT_SCOPE)
+
+add_subdirectory(boost_intern/src)
+set(Boost_LIBRARIES boost_static_internal PARENT_SCOPE)
+endif(NOT Boost_FOUND)
+
 add_subdirectory(libneon)
