=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,12 @@
 FILE(GLOB src_davix_params "params/*.cpp")
 FILE(GLOB src_davix_auth "auth/*.cpp")
 FILE(GLOB src_davix_file "file/*.cpp")
+FILE(GLOB src_davix_deprecated "deprecated/*.cpp")
 FILE(GLOB src_davix_request "request/*.cpp")
+FILE(GLOB src_davix_hooks "hooks/*.cpp")
+FILE(GLOB src_davix_modules "modules/*.cpp")
 FILE(GLOB src_davix_utils "utils/*.cpp")
+
 
 include_directories("libs" ".")
 
@@ -23,28 +27,27 @@
 
 add_subdirectory(copy)
 add_subdirectory(libs)
-add_subdirectory(datetime)
 add_subdirectory(xml)
 add_subdirectory(tools)
 
 add_subdirectory(neon)
 SET(SRC_HTTP ${src_neon})
 
-LIST(APPEND SRC_DAVIX_FULL ${src_davix} ${src_davix_request} ${SRC_HTTP}  ${src_xmlparser} ${src_logger} ${src_datetime}
-                           ${src_lockers} ${src_davix_posix} ${src_davix_status} ${src_davix_fileops} ${src_davix_utils}
-                           ${src_davix_params} ${src_davix_auth} ${src_davix_file} ${SRC_STRPTIME} ${SRC_MEMPCPY}
-                           ${SRC_STRLCPY} ${SRC_STRING_UTILS_CPP} ${SRC_BASE64} ${SRC_HMACSHA1})
+LIST(APPEND SRC_DAVIX_FULL ${src_davix} ${src_davix_request} ${SRC_HTTP}  ${src_xmlparser} ${src_datetime}
+                           ${src_davix_posix} ${src_davix_status} ${src_davix_fileops} ${src_davix_utils}
+                           ${src_davix_params} ${src_davix_auth} ${src_davix_file} ${src_davix_deprecated} ${src_davix_hooks} ${src_davix_modules} ${SRC_STRPTIME} ${SRC_MEMPCPY}
+                           ${SRC_STRLCPY} ${SRC_STRING_UTILS_CPP} ${SRC_BASE64} ${SRC_HMACSHA1} )
 
 
 add_definitions(${HTTPLIB_PKG_CFLAGS} )
 
 if(shared_library)
-add_library(libdavix  SHARED ${SRC_DAVIX_FULL})
+add_library(libdavix  SHARED ${SRC_DAVIX_FULL} )
 add_dependencies(libdavix neon)
 
 
 target_link_libraries(libdavix  ${HTTPLIB_PKG_LIBRARIES} ${CRYPTO_PKG_LIBRARIES}
-                                ${CMAKE_THREAD_LIBS_INIT} ${SOCKET_PKG_LIBRARIES})
+                                ${CMAKE_THREAD_LIBS_INIT} ${SOCKET_PKG_LIBRARIES} ${Boost_LIBRARIES})
 
 
 set_target_properties(libdavix PROPERTIES
@@ -59,7 +62,7 @@
 add_PkgConfigFile_for_Library("davix.pc" libdavix
                                HEADER_DIRS "davix"
                                CFLAGS " -D_FILE_OFFSET_BITS=64 "
-                               DESCRIPTION "Davix, High level WebDav/HTTP library"
+                               DESCRIPTION "Libdavix, IO library for HTTP based protocols"
                                )
 
 endif(shared_library)
@@ -88,10 +91,7 @@
 
 endif(static_library)
 
-
-
-
-# install lib
+SET(davix_tool_common_src "${davix_tool_common_src_up}" PARENT_SCOPE)
 
 
 #install pkgconfig
