=== deps/libneon/CMakeLists.txt ===
--- 
+++ 
@@ -21,15 +21,15 @@
 endif(LIBXML2_INCLUDE_DIR)
 
 set(HAVE_IPV6 ${ENABLE_IPV6})
-
-
+set(TCP_NODELAY ${ENABLE_TCP_NODELAY})
 
 configure_file(config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../
-                    ${LIBXML2_INCLUDE_DIR} )
+                    ${LIBXML2_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR})
 
 add_definitions( -fPIC -DNEON_VERSION="${VERSION_STRING}" -DNE_VERSION_MAJOR=${VERSION_MAJOR}  -DNE_VERSION_MINOR=${VERSION_MINOR} )
+add_definitions(-fvisibility=hidden)
