=== test/functional/CMakeLists.txt ===
--- 
+++ 
@@ -9,20 +9,20 @@
 set( src_test_prop "test_propfind.cpp")
 set( src_test_stat "test_stat.cpp" )
 set( src_test_mkdir "test_mkdir.cpp")
+set( src_test_checksum "test_checksum.cpp")
 set( src_test_stat_session "test_stat_session.cpp")
 set( src_test_rw "davix_rw_test.cpp")
 set( src_test_opendir "test_opendir.cpp")
-#set( src_test_opendir_c "test_opendir_c.cpp")
 set( src_test_opendir_partial "test_opendir_partial.cpp")
 set( src_test_opendirpp "test_opendirpp.cpp")
 set( src_test_directory "test_directory.cpp")
-#set( src_test_stat_c "test_stat_c.c")
 set( src_test_auto_stat_mkdir_check "test_auto_stat_mkdir_check.cpp")
 set( src_test_auto_rmdir_unlink_delete "test_auto_rmdir_unlink_delete.cpp")
 set( src_test_valid_read_generic_simple "test_valid_read_generic_simple.cpp")
 set( src_test_valid_write_read_generic_simple "test_valid_write_read_generic_simple.cpp")
 set( src_test_valid_write_read_vector_simple "test_valid_write_read_vector_simple.cpp")
 set( src_tool_read_vector_simple "tool_read_vector_simple.cpp")
+set( src_tool_get_replicas "tool_get_replica_simple.cpp")
 
 add_executable(test_request ${src_test_req} )
 target_link_libraries(test_request davix  )
@@ -33,7 +33,7 @@
 
 
 add_executable(test_prop ${src_test_prop} ${src_davix_test_lib} )
-target_link_libraries(test_prop davix  )
+target_link_libraries(test_prop davix   ${Boost_LIBRARIES})
 
 add_executable(test_stat ${src_test_stat} ${src_davix_test_lib})
 target_link_libraries(test_stat davix  )
@@ -44,8 +44,11 @@
 add_executable(test_mkdir ${src_test_mkdir} ${src_davix_test_lib})
 target_link_libraries(test_mkdir davix  )
 
+add_executable(test_checksum ${src_test_checksum} ${src_davix_test_lib})
+target_link_libraries(test_checksum davix  )
+
 add_executable(test_auto_rmdir_unlink_delete ${src_test_auto_rmdir_unlink_delete} ${src_davix_test_lib})
-target_link_libraries(test_auto_rmdir_unlink_delete davix  )
+target_link_libraries(test_auto_rmdir_unlink_delete davix  ${Boost_LIBRARIES})
 
 add_executable(test_stat_session ${src_test_stat_session} ${src_davix_test_lib})
 target_link_libraries(test_stat_session davix  )
@@ -81,6 +84,9 @@
 add_executable(test_valid_write_read_vector_simple ${src_test_valid_write_read_vector_simple} ${src_davix_test_lib})
 target_link_libraries(test_valid_write_read_vector_simple davix  )
 
+
+add_executable(tool_get_replicas ${src_tool_get_replicas} ${src_davix_test_lib})
+target_link_libraries(tool_get_replicas davix  )
 
 function(test_dav_endpoint_ronly name cred)
 
@@ -121,6 +127,10 @@
     add_test(test_valid_write_read_vector_simple_${url} test_valid_write_read_vector_simple ${url} ${cred})
 endfunction(test_valid_write_read_generic url cred)
 
+function(test_replica_listing_existing url cred)
+   add_test(tool_get_replicas_${url} tool_get_replicas ${url} ${cred})
+endfunction(test_replica_listing_existing url cred)
+
 include(ctest_functional.cmake)
 
 endif(FUNCTIONAL_TESTS)
