=== src/libs/adevpp/CMakeLists.txt ===
# libs CMakefile for adevpp
