=== debian/changelog ===
davix (0.3.1-1b1) staging; urgency=high

  * No-change rebuild against libgsoap5

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Aug 2014 13:40:58 +0000

davix (0.3.1-1) unstable; urgency=medium

  * Update to version 0.3.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Jul 2014 09:59:36 +0200
