=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: davix
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, libxml2-dev, libssl-dev, gsoap, libgridsite-dev, libgtest-dev, pkg-config, doxygen
+Build-Depends: debhelper (>= 8.0.0), cmake, libxml2-dev, libssl-dev, gsoap, libgridsite-dev, libboost-system-dev, libboost-thread-dev, libgtest-dev, pkg-config, doxygen
 Standards-Version: 3.9.5
 Section: net
-Homepage: https://svnweb.cern.ch/trac/lcgutil/wiki/davix
+Homepage: http://dmc.web.cern.ch/projects/davix/home
 
 Package: davix
 Architecture: any
